package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.CompanyPaymentInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-4-14 11:21
 */
@Repository
public interface CompanyPaymentInfoDAO {

    CompanyPaymentInfo findByCompanyId(String companyId);

    List<CompanyPaymentInfo> findListByCompanyId(String companyId);

    CompanyPaymentInfo get(Long i);

    int insert(CompanyPaymentInfo companyPaymentInfo);

    int update(CompanyPaymentInfo entity);

    List<CompanyPaymentInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

    List<CompanyPaymentInfo> list();

    List<CompanyPaymentInfo> findByFinancePersonId(Long personId);
}
